﻿@using BenhVien.MODEL
@using BenhVien.UI.Models
@model DonThuoc
@{
    var thuoc = (List<Thuoc>)ViewBag.Thuoc;
    var chiTiet = (List<ChiTietDonThuoc>)ViewBag.ChiTiet;
}



@*<div class="modal-dialog" style="width:1250px; align-content:center">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Đơn thuốc</h4>
            </div>
            <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
                <div class="modal-body">
                    <input type="hidden" id="DonThuocID" name="DonThuocID" value="@(Model != null? Model.Id.ToString():"")">
                    <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                        <div class="form-group col-md-6 col-sm-6 col-xs-12">
                            <label class="control-label" for="first-name">Ngày phát thuốc </label>
                            <div>
                                <input type="text" id="NgayPhatThuoc" class="form-control" readonly name="NgayPhatThuoc" autocomplete="off" value="@(Model != null ? Model.NgayPhatThuoc.Value.ToString("dd/MM/yyyy"):DateTime.Today.ToString("dd/MM/yyyy"))">

                            </div>
                        </div>
                        <div class="form-group col-md-6 col-sm-6 col-xs-12">
                            <label class="control-label" for="first-name">Trạng thái:</label>
                            <div>
                                <select class="ctr-select" data-live-search="true" name="TrangThaiID" disabled>
                                    <option value="@EnumTrangThaiDonThuoc.CHUA_PHAT" @((Model != null && Model.TrangThaiID == EnumTrangThaiDonThuoc.CHUA_PHAT) ? "Selected" : "")>@EnumTrangThaiDonThuoc.ToString(EnumTrangThaiDonThuoc.CHUA_PHAT)</option>
                                    <option value="@EnumTrangThaiDonThuoc.DA_PHAT" @((Model != null && Model.TrangThaiID == EnumTrangThaiDonThuoc.DA_PHAT) ? "Selected" : "")>@EnumTrangThaiDonThuoc.ToString(EnumTrangThaiDonThuoc.DA_PHAT)</option>
                                </select>

                            </div>
                        </div>

                    </div>
                    <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                        <div class="form-group col-md-12 col-sm-12 col-xs-12">
                            <label class="control-label" for="first-name"> Danh sách thuốc : </label>
                        </div>
                    </div>
                    <div class="panel-body">
                        <div class="col-md-3">
                            <input type="button" class="form-control btnPlusContent" value="+" style="border-radius: 36px;width: 36px;float: left;" onclick="plusContent(this)" />
                            <label style="padding: 8px 0px 0px 5px;">Thuốc</label>
                        </div>
                        <div class="col-md-offset-3 pnlContent">
                            @foreach (var item in chiTiet)
                            {
                                <div class="form-group">
                                    <div class="col-md-3 col-sm-3 col-xs-12">
                                        <select class="ctr-select" data-live-search="true" name="ThuocID">
                                            @foreach (var d in thuoc)
                                            {
                                                if (item.ThuocID == d.Id)
                                                {
                                                    <option value="@d.Id" selected>@d.Ten</option>
                                                }
                                                else
                                                {
                                                    <option value="@d.Id">@d.Ten</option>
                                                }

                                            }

                                        </select>
                                    </div>
                                    <div class="col-md-2 col-sm-2 col-xs-12">
                                        <input type="text" class="form-control number" value="@item.SoLuong" placeholder="Số lượng....." />
                                    </div>
                                    <div class="col-md-3 col-sm-3 col-xs-12">
                                        <input type="text" class="form-control sudung" value="@item.CachSuDung" placeholder="Cách sử dụng....." />
                                    </div>
                                    <div class="col-md-2 col-sm-2 col-xs-12">
                                        <input type="text" class="form-control hamluong" value="@item.HamLuongSuDung" placeholder="Lần/ ngày ...." />
                                    </div>
                                    <div class="col-md-2 col-sm-2 col-xs-12">
                                        <input type="button" class="form-control btnMinusContent" value="-" style="border-radius: 36px;width: 36px;" onclick="minusContent(this)" />
                                    </div>
                                </div>
                            }

                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="modal-footer">
                    <button id="btn-save1" type="button" onclick="SaveDonThuoc()" class="btn btn-success">Lưu</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
                </div>
            </form>
        </div>
    </div>*@


<div class="modal-dialog" style="width:1250px; align-content:center">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Đơn thuốc</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày phát thuốc </label>
                        <input type="hidden" name="DonThuocID" id="DonThuocID" value="@(Model != null ? Model.Id:0)" />
                        <div>
                            @*<select class="ctr-select" data-live-search="true" name="DonThuocID" id="DonThuocID">
                                    @Html.Raw(ViewBag.cbxDate)
                                </select>*@
                            <div>
                                <div class='input-group date datetimepicker1'>
                                    <input type='text' class="form-control" id="NgayPhatThuoc" name="NgayPhatThuoc" onchange="PhatThuoc()" value="@(Model!= null && Model.KhamBenhID != null ? Model.NgayPhatThuoc.Value.ToString("dd/MM/yyyy"): DateTime.Now.ToString("dd/MM/yyyy"))" autocomplete="off" />
                                    <span class="input-group-addon">
                                        <span class="glyphicon glyphicon-calendar"></span>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Trạng thái:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="TrangThaiID">
                                <option value="@EnumTrangThaiDonThuoc.CHUA_PHAT" @((Model != null && Model.TrangThaiID == EnumTrangThaiDonThuoc.CHUA_PHAT) ? "Selected" : "")>@EnumTrangThaiDonThuoc.ToString(EnumTrangThaiDonThuoc.CHUA_PHAT)</option>
                                <option value="@EnumTrangThaiDonThuoc.DA_PHAT" @((Model != null && Model.TrangThaiID == EnumTrangThaiDonThuoc.DA_PHAT) ? "Selected" : "")>@EnumTrangThaiDonThuoc.ToString(EnumTrangThaiDonThuoc.DA_PHAT)</option>
                            </select>

                        </div>
                    </div>

                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name"> Danh sách thuốc : </label>
                    </div>
                </div>
                <div id="details_list">


                </div>

            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save1" type="button" onclick="SaveDonThuoc()" class="btn btn-success">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        $('.datetimepicker1').datetimepicker({
            format: "DD/MM/YYYY"
        }).on("dp.change", function (e) {
            debugger;
            var date = $('[name=NgayPhatThuoc]').val();
            var nhapvienID = $('#NhapVienID').val();
            var khambenhID = $('#KhamBenhID').val();

            var params = {
                nhapvienID: nhapvienID,
                khambenhID: khambenhID,
                date: date
            }
            $.ajax({
                url: '@Url.Action("ChiTietDonThuocDetails", "KhamBenh", new { area = "QuanTri" })',
                type: 'POST',
                async: false,
                data: params,
                success: function (data) {
                    $('#details_list').html(data);

                }
            });

        });
        var khamBenhID = $('#KhamBenhID').val();
        var nhapVienID = $('#NhapVien').val();
        if(khamBenhID == undefined){
            if ($('[name=TrangThaiID]').val() == '@EnumTrangThaiNhapVien.CHUYEN_TUYEN' || $('[name=TrangThaiID]').val() == '@EnumTrangThaiNhapVien.XUAT_VIEN') {
                $('#frm-capnhat1 button').attr("disabled", "true");
            }
        }else {
            if ($('[name=TrangThaiID]').val() == '@EnumTrangThaiKhamBenh.CHUYEN_TUYEN' || $('[name=TrangThaiID]').val() == '@EnumTrangThaiKhamBenh.HOAN_THANH') {
                $('#frm-capnhat1 button').attr("disabled", "true");
            }
        }

    });
</script>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        let data = @Html.Raw(Json.Encode(Model));
        console.log(data);
        var date = $('[name=NgayPhatThuoc]').val();
        var nhapvienID = ""; //$('#NhapVienID').val();
        var khambenhID = "";// $('#KhamBenhID').val();
        if(data != null){
            nhapvienID = data.NhapVienID; //$('#NhapVienID').val();
            khambenhID = data.KhamBenhID;// $('#KhamBenhID').val();
        }
       

        var params = {
            nhapvienID: nhapvienID,
            khambenhID: khambenhID,
            date: date
        }
        $.ajax({
            url: '@Url.Action("ChiTietDonThuocDetails", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                $('#details_list').html(data);

            }
        });

    })
</script>
<script>
    $(document).on("change", "[name=DonThuocID]", function () {
        debugger;
        var id = $('[name=DonThuocID]').val();
        var params = {
            id: id
        }
        $.ajax({
            url: '@Url.Action("ChiTietDonThuocDetails", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                $('#details_list').html(data);

            }
        });
    });
    function SaveDonThuoc() {
        debugger;
        var arr = [];
        var length = $('[name=ThuocID]').length;
        for (var i = 0; i < length; i++) {
            var obj = {
                ThuocID: $('[name=ThuocID]')[i].value,
                SoLuong: $('.number')[i].value,
                //CachSuDung: $('.sudung')[i].value,
                HamLuongSuDung: $('.hamluong')[i].value,
            }
            arr.push(obj);
        }
        var params = {
            Id: $('#DonThuocID').val(),
            NgayPhatThuoc: $('#NgayPhatThuoc').val().split("/").reverse().join("-"),
            TrangThaiID : $('[name=TrangThaiID]').val(),
            KhamBenhID: $('#KhamBenhID').val(),
            NhapVienID: $('#NhapVienID').val(),
            list: arr
        }
        $.ajax({
            url: '@Url.Action("DonThuocKhamBenh", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    //donThuocID = data.data;
                    alertify.success(data.msg);
                    $('#modal-qltaikhoan').modal('hide');
                    location.reload();
                }
                else {
                    alertify.error(data.msg);
                    document.getElementById("btn-save1").disabled = false;
                    $("#btn-save1").removeClass("disabled");
                }
            }
        });
    }

</script>






